           (*-------------------------------------------*
            |               November 2007               |
            |                                           |
            |        Yoshinao Isobe (AIST JAPAN)        |
            *-------------------------------------------*)

theory CSP_F_v4_1
imports CSP_F_tactic_v4_1 Infra_set_v4_1 CSP_F
begin


declare cspF_unwind                     [simp del]
declare cspF_unwind_sym                 [simp del]

declare compo_inj_is_inj                [simp]  (* see CSP_F_law_int_v4_1.thy *)


declare cspF_step                       [simp del]
declare cspF_step_sym                   [simp del]

declare cspF_step_v4_1                  [simp]
lemmas  cspF_step_v4_1_sym              [simp]
      = cspF_step_v4_1[THEN cspF_sym]

(*
   We collected rules for event-sets in "simp_event_set".
   Event-sets will be automatically simplified by previously declaring:

      declare simp_event_set [simp]
*)

(* Alpha_Parallel *)

declare cspF_decompo_Alpha_parallel              [simp]
declare cspF_dist_Alpha_Parallel                 [simp]
lemmas  cspF_dist_Alpha_Parallel_sym             [simp]
      = cspF_dist_Alpha_Parallel[THEN cspF_sym]

(* Pipe *)

declare cspF_decompo_Pipe                        [simp]

end
